import App
def Create(pTorp):

	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(75.0 / 255.0, 150.0 / 255.0, 200.0 / 255.0, 1.000000)	
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(255.0 / 255.0, 255.0 / 255.0, 255.0 / 255.0, 1.000000)

	# Params are:

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/S79QuantumCore.tga",
					kCoreColor, 
					0.425,
					9.0,	 
					"data/textures/tactical/S79QuantumGlow.tga", 
					kGlowColor,
					3.0,	
					1.350,	 
					1.750,	
					"data/textures/tactical/S79QuantumBase.tga",
					kGlowColor,
					45.0,		
					0.191,		
					0.1)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.25)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.QUANTUM)

	return(0)

def GetLaunchSpeed():
	return(50.0)

def GetLaunchSound():
	return("AdvancedQuantum")

def GetPowerCost():
	return(5.0)

def GetName():
	return("ADV-Quantum")

def GetDamage():
	return 2000.0

def GetGuidanceLifetime():
	return 25.0

def GetMaxAngularAccel():
	return 6.5

def GetLifetime():
	return 25.0
